Bug 1887483 - Access insights pages refer to non-existing stylesheets, resulting in completely broken visuals
Summary: Access insights pages refer to non-existing stylesheets, resulting in complet...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Insights
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.8.0
Assignee: Eric Helms
QA Contact: Mirek Długosz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-12 15:30 UTC by Mirek Długosz
Modified: 2021-07-08 21:26 UTC (History)
6 users (show)

Fixed In Version: redhat_access-2.2.18.gem
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:09:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
example of broken page visuals (75.07 KB, image/png)
2020-10-12 15:30 UTC, Mirek Długosz
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github redhataccess foreman-plugin pull 54 0 None closed Refs #47: Convert to SCSS files for proper import 2021-01-12 16:30:27 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:09:24 UTC

Description Mirek Długosz 2020-10-12 15:30:48 UTC
Created attachment 1720990 [details]
example of broken page visuals

Pages in Insights menu ($SATELLITE/redhat_access/insights/) refer to two non-existing stylesheet files:
- $SATELLITE/assets/insights/telemetry/sat6.css
- $SATELLITE/assets/insights/insights/insights.css

Failure to load these two stylesheets results in completely broken visuals of plugin pages - some elements are too small, many icons are huge (taking better part of page), some elements overlap etc. See attached screenshot for one example.
Usually pages are usable, but in one case I had form elements appearing behind the menu and I had to manually change their position to access them.


That wasn't a case in 6.7 and couple of snaps ago (around beta), hence regression keyword.


Steps to reproduce:
1. Open any page in Insights menu, e.g. "Rules" or "Inventory"


Found on:
Satellite 6.8 snap 19
katello-3.16.0-1.el7sat.noarch
foreman-2.1.2.19-1.el7sat.noarch
satellite-6.8.0-1.el7sat.noarch
pulp-server-2.21.3-1.el7sat.noarch
tfm-rubygem-redhat_access_lib-1.1.5-1.el7sat.noarch
tfm-rubygem-redhat_access-2.2.17-1.fm2_1.el7sat.noarch

Comment 2 Rex White 2020-10-14 14:51:53 UTC
I just published redhat_access-2.2.18.gem with these changes.

Comment 3 Mirek Długosz 2020-10-19 12:02:07 UTC
Styles are loaded correctly and pages display as in previous snaps.
I verified all pages under "Insights" menu.

Additionally, I tried some basic actions to confirm there are no regressions in functionality (creating and editing plan, looking up hosts, downloading CSVs and Ansible playbooks, running Ansible to fix rule).


Tested on:
Satellite 6.8 snap 20
foreman-2.1.2.19-1.el7sat.noarch
pulp-server-2.21.3-1.el7sat.noarch
satellite-6.8.0-1.el7sat.noarch
katello-3.16.0-1.el7sat.noarch
tfm-rubygem-redhat_access-2.2.18-1.el7sat.noarch
tfm-rubygem-redhat_access_lib-1.1.5-1.el7sat.noarch

Comment 6 errata-xmlrpc 2020-10-27 13:09:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.